This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours

Bug 850837

Summary: RFE Rescue DAGs should not be a complete DAG file
Product: Red Hat Enterprise MRG Reporter: Timothy St. Clair <tstclair>
Component: condorAssignee: grid-maint-list <grid-maint-list>
Status: CLOSED WONTFIX QA Contact: MRG Quality Engineering <mrgqe-bugs>
Severity: medium Docs Contact:
Priority: low    
Version: DevelopmentCC: matt, mkudlej, tstclair
Target Milestone: ---Keywords: FutureFeature, TestOnly
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: condor-7.8.2-0.2 Doc Type: Rebase: Enhancements Only
Doc Text:
Important: if this rebase also contains *bug fixes* (or contains only bug fixes), select the correct option from the Doc Type drop-down list. Rebase package(s) to version: condor-7.8 series Highlights and notable enhancements: condor_dagman writes a partial DAG file for a rescue DAG, as opposed to a full DAG file. The Rescue DAG file is parsed in combination with the original DAG file, meaning that any changes to the original DAG input file take effect when running a Rescue DAG.
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-05-26 15:13:11 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 845292    

Description Timothy St. Clair 2012-08-22 10:04:22 EDT
condor_dagman should writing a partial DAG file for a Rescue DAG, as opposed  to a full DAG file. The Rescue DAG file is parsed in combination with  the original DAG file, meaning that any changes to the original DAG  input file take effect when running a Rescue DAG.
Comment 4 Anne-Louise Tangring 2016-05-26 15:13:11 EDT
MRG-G is in maintenance only and only customer escalations will be addressed from this point forward. This issue can be re-opened if a customer escalation associated with this issue occurs.